import { EntityState, createEntityAdapter } from '@ngrx/entity';
import { FileDTO } from './defs';

export interface TaskFilesState extends EntityState<FileDTO> {}

export const taskFilesAdapter = createEntityAdapter<FileDTO>();

export const INITIAL_TASK_FILES_STATE: TaskFilesState = {
  ...taskFilesAdapter.getInitialState(),
};
